MSK4ParserInternal::SubDocument Class Reference

Internal: the subdocument of a MSK4Parser. More...

Inheritance diagram for MSK4ParserInternal::SubDocument:

## Public Types

enum | Type { Unknown, MN }
| type of an entry stored in textId More...

## Public Member Functions

| SubDocument (MSK4Zone *pars, MWAWInputStreamPtr input, int ntId)
| constructor for a note with identificator ntId More...
| SubDocument (MSK4Zone *pars, MWAWInputStreamPtr input, MWAWEntry const &entry)
| constructor for a text/frame entry More...
| ~SubDocument ()
| destructor More...
virtual bool | operator!= (MWAWSubDocument const &doc) const
| operator!= More...
virtual bool | operator== (MWAWSubDocument const &doc) const
| operator== More...
void | parse (MWAWContentListenerPtr &listener, libmwaw::SubDocumentType type)
| the parser function More...
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input More...
| MWAWSubDocument (MWAWSubDocument const &doc)
| copy constructor More...
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)
| copy operator More...
virtual | ~MWAWSubDocument ()
| virtual destructor More...
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator== More...
bool | operator!= (shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!= More...
bool | operator== (shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator== More...

## Protected Attributes

int | m_noteId
| the note identificator More...
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser More...
shared_ptr< MWAWInputStream > | m_input
| the input More...
MWAWEntry | m_zone
| if valid the zone to parse More...

## Detailed Description

Internal: the subdocument of a MSK4Parser.

## Member Enumeration Documentation

enum MSK4ParserInternal::SubDocument::Type

type of an entry stored in textId

Enumerator
Unknown |
MN |

## Constructor & Destructor Documentation

MSK4ParserInternal::SubDocument::SubDocument | ( | MSK4Zone * | pars,
|  | MWAWInputStreamPtr | input,
|  | int | ntId
| ) |  |

inline

constructor for a note with identificator ntId

MSK4ParserInternal::SubDocument::SubDocument | ( | MSK4Zone * | pars,
|  | MWAWInputStreamPtr | input,
|  | MWAWEntry const & | entry
| ) |  |

inline

constructor for a text/frame entry

MSK4ParserInternal::SubDocument::~SubDocument | ( |  | ) |

inline

destructor

## Member Function Documentation

bool MSK4ParserInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const

virtual

operator!=

Reimplemented from MWAWSubDocument.

Referenced by operator==().

virtual bool MSK4ParserInternal::SubDocument::operator== | ( | MWAWSubDocument const & | doc | ) | const

inline virtual

operator==

void MSK4ParserInternal::SubDocument::parse | ( | MWAWContentListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type
| ) |  |

virtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

int MSK4ParserInternal::SubDocument::m_noteId

protected

the note identificator

Referenced by operator!=(), and parse().

The documentation for this class was generated from the following file:

- MSK4Parser.cxx